Page 1 of 1

Python 2.7.15 not working on Golly 3.1

PostPosted: December 19th, 2018, 3:55 pm
by PushDecimal
Whenever I specify the path to python27.dll, the "Could not load the Python library" dialog reappears.

Re: Python 2.7.15 not working on Golly 3.1

PostPosted: December 19th, 2018, 4:19 pm
by Ian07
If you're on Windows, try setting the file path to this:
C:\Windows\SysWOW64\python27.dll


If that doesn't work, then this might:
C:\Windows\System32\python27.dll

Re: Python 2.7.15 not working on Golly 3.1

PostPosted: December 19th, 2018, 4:28 pm
by dvgrn
If neither of Ian07's suggestions work, please post the name of the Golly ZIP file you downloaded, and the name of the Python installer executable.

Or post what version Golly says it is in the status bar when you first start it up, and what version Python says it is when you type import sys;print sys.version at a Python command line. Both of those should say something about 32-bit vs. 64-bit, and they have to match.

Re: Python 2.7.15 not working on Golly 3.1

PostPosted: December 20th, 2018, 5:13 am
by PushDecimal
Wow, I'm dumb. Turns out I was trying to run 64-bit Python on 32-bit Golly! When I ran a script in Golly 3.0 (64-bit), it worked perfectly.